> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Runtime

> Update an existing runtime



## OpenAPI

````yaml PUT /workspaces/{workspace_id}/runtimes/{runtime_id}
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/runtimes/{runtime_id}:
    put:
      tags:
        - runtimes
      summary: Update runtime
      description: Update an existing runtime
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
        - description: Runtime ID
          name: runtime_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/models.SpinRuntime'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/models.SpinRuntime'
components:
  requestBodies:
    models.SpinRuntime:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.SpinRuntime'
      description: Runtime object
      required: true
  schemas:
    models.SpinRuntime:
      type: object
      properties:
        auth_token:
          type: string
        description:
          type: string
        is_private:
          type: boolean
        managed_status:
          type: string
        managed_type:
          type: string
        name:
          type: string
        owner_id:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
        runtime_id:
          type: string
        url:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````